<?php

declare(strict_types=1);

namespace Dedi\SyliusVoucherPlugin\Provider;

use Dedi\SyliusVoucherPlugin\Model\VoucherConfigurationInterface;
use Dedi\SyliusVoucherPlugin\Model\VoucherInterface;
use Sylius\Component\Channel\Model\ChannelInterface;
use Sylius\Component\Locale\Model\LocaleInterface;

interface VoucherChannelConfigurationProviderInterface
{
    public function getConfiguration(ChannelInterface $channel, LocaleInterface $locale): ?VoucherConfigurationInterface;

    public function getConfigurationForVoucher(VoucherInterface $voucher): ?VoucherConfigurationInterface;
}
