<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusVoucherPlugin\Entity\Product;

use Dedi\SyliusVoucherPlugin\Model\ProductInterface as DediSyliusVoucherProductInterface;
use Dedi\SyliusVoucherPlugin\Model\ProductTrait as DediSyliusVoucherProductTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Product as BaseProduct;

/**
 * @ORM\Entity
 * @ORM\Table(name="sylius_product")
 */
class Product extends BaseProduct implements DediSyliusVoucherProductInterface
{
    use DediSyliusVoucherProductTrait;
}
